## shadow 4.8.1

=== debian/changelog ===
shadow (1:4.8.1-1) unstable; urgency=medium

  * debian/default/useradd: Fix typo DHSELL -> DSHELL (Closes: #897028)
  * New upstream version 4.8.1
    - Update Dutch translation (Closes: #946608)
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 07 Feb 2020 15:54:14 +0100

shadow (1:4.8-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Move the call to pam_motd before pam_selinux open

  [ Justin B Rye ]
  * login: Update package description (Closes: #808301)

  [ Yuriy M. Kaminskiy ]
  * Mark uidmap and login as Multi-Arch: foreign (Closes: #934473)

  [ Andreas Henriksson ]
  * New upstream release.
    - man: generate translations using itstool instead of xml2po
  * Replace gnome-doc-utils build-dep with itstool (Closes: #881889)
  * Use explicit --without-su configure flag
  * Refresh and massage patches to apply
  * Cherry-pick upstream patch reverting bindir/sbindir
  * Fix lintian warning useless-autoreconf-build-depends

  [ Balint Reczey ]
  * debian/login.su.pam: Drop unused file

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 20 Dec 2019 16:39:40 +0100

shadow (1:4.7-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Remove obsolete /etc/cron.daily/passwd in maintainer scripts
    (Closes: #932017)
  * Remove Christian Perrier from Uploaders according to his request.
    Thank you for maintaining shadow for long years! (Closes: #893944, #927576)

  [ Gaudenz Steinlin ]
  * Improve NEWS entry about securetty.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 16 Jul 2019 18:48:12 +0200

shadow (1:4.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root.
    The shadow package currently requires (fake)root to produce the debs
    due to static non-root:root ownerships in the debs.

  [ Bryan Quigley ]
  * Remove cron daily backup.
    It was added in 2010 (#554170) as a split off from a previous cron
    job.  I haven't seen an argument for why it's useful to keep.
    Depending on when a mistake occurs in one of the files it backups
    it will provide variable recovery time of 0 to 24hours.

  [ Balint Reczey ]
  * Add Salsa CI configuration
  * Drop Lintian override for su, it is not shipped in login anymore
  * Stop shipping and honoring /etc/securetty
    (Closes: #731656, #830255, #879903, #920764, #771675, #917893, #607073)
  * Migrate to dh from cdbs
  * Ship some missing man files
  * Fix checking upstream tarball's OpenPGP signature
  * New upstream version 4.7
  * Refresh patches
  * Run autopkgtest in Salsa CI when it exists
  * debian/NEWS: Fix version of latest entry
  * Clean up /etc/securetty properly on upgrade

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 08 Jul 2019 15:58:46 +0200
