=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
   https://github.com/shadow-maint/shadow/releases \
   (?:.*?/)?shadow-(\d[\d.]*)\.tar\.xz debian uupdate
