## shadow 4.11.1+dfsg1

=== debian/changelog ===
shadow (1:4.11.1+dfsg1-2ubuntu1.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: race condition when copying and removing directory trees
    - debian/patches/CVE-2013-4235-1.patch: avoid races in chown_tree().
    - debian/patches/CVE-2013-4235-2.patch: avoid races in remove_tree().
    - debian/patches/CVE-2013-4235-3.patch: require symlink support.
    - debian/patches/CVE-2013-4235-4.patch: fail if regular file pre-exists in
      copy_tree().
    - debian/patches/CVE-2013-4235-5.patch: more robust file content copy in
      copy_tree().
    - debian/patches/CVE-2013-4235-6.patch: address minor compiler warnings.
    - debian/patches/CVE-2013-4235-7.patch: avoid races in copy_tree().
    - debian/patches/CVE-2013-4235-post1.patch: use fchmodat instead of chmod
      (copy_tree).
    - debian/patches/CVE-2013-4235-post2.patch: do not block on fifos
      (copy_tree).
    - debian/patches/CVE-2013-4235-post3.patch: carefully treat permissions
      (copy_tree).
    - CVE-2013-4235

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Wed, 23 Nov 2022 15:21:12 -0300

shadow (1:4.11.1+dfsg1-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/login.defs:
      + Update documentation of USERGROUPS_ENAB: with pam_umask, the UPG
        handling does not only apply to "former (pre-PAM) uses".
      + Update documentation of UMASK: Explain that USERGROUPS_ENAB
        will modify this default for UPGs.
      + Enable private home directories by default
    - debian/{source_shadow.py,login.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - debian/patches/1011_extrausers_toggle.patch:
      + extrausers support for useradd and groupadd
    - debian/patches/1012_extrausers_chfn.patch:
      + add support for --extrausers to the chfn tool
    - debian/patches/1013_extrausers_deluser.patch:
      + add --extrausers option to "userdel"
    - debian/patches/1014_extrausers_delgroup.patch:
      + add --extrausers option to "groupdel"
    - debian/patches/1015_add_zsys_support.patch:
      + Call zsys to handle home directory if available.
    - debian/patches/1016_extrausers_gpasswd.patch:
      + Add support for extrausers in gpasswd.
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}
      + disallow purely numeric usernames
    - debian/tests/smoke:
      + Extend for extrausers support
  * Dropped changes, applied in Debian:
    - Basic test in d/t/control and d/t/smoke
    - Documentation about HOME_MODE in login.defs

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 23 May 2022 14:23:01 +0200

shadow (1:4.11.1+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/README.source: Recommend submitting translations upstream
  * debian/tests/control: Mark smoke test as superficial
  * useradd: Restore defaults used up to 4.8.1 version.
    Also fix /etc/default/useradd to state that mail spool directories are
    not created.
  * login.defs:
    - List default value of HOME_MODE
    - Warn about weak cryptographic choices, like upstream
    - include HMAC_CRYPTO_ALGO key
    - Fix typo

  [ Jenkins ]
  * Trim trailing whitespace.
    Changes-By: lintian-brush
    Fixes: lintian: trailing-whitespace
  * Use canonical URL in Vcs-Git.
    Changes-By: lintian-brush
    Fixes: lintian: vcs-field-not-canonical
  * Fix day-of-week for changelog entry 1:4.1.4.2+svn3283-3.
    Changes-By: lintian-brush
    Fixes: lintian: debian-changelog-has-wrong-day-of-week

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2022 20:41:41 +0100

shadow (1:4.11.1+dfsg1-1) unstable; urgency=medium

  * debian/NEWS: Fix version and release of latest entry

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 31 Jan 2022 10:33:28 +0100

shadow (1:4.11.1+dfsg1-0exp1) experimental; urgency=medium

  * login: Don't list su command as shipped (Closes: #960637)
  * Install nologin /usr/sbin without patching makefiles
  * debian/copyright: Fully rewrite the file based on upstream license update
    and exclude contrib/atudel from upstream tarball
  * debian/watch: Repack upstream tarball with +dfsg1 suffix
  * debian/upstream/signing-key.asc: Update upstream signing key
  * New upstream version 4.11.1+dfsg1
  * Refresh patches
  * Set NONEXISTENT to /nonexistent in shipped login.defs (Closes: #960318)
  * Enable newly added yescrypt support
  * Include YESCRYPT options in shipped login.defs (Closes: #991914)
  * debian/rules: Stop using --disable-shared to build shared libraries
  * Ship the libsubid4 and libsubid-dev packages and ship getsubids in uidmap
  * debian/rules: Drop obsolete variable setting
  * debian/login.lintian-overrides: Drop unused override
  * debian/control: Make the Vcs-Browser URL canonical
  * debian/login.defs: List new GRANT_AUX_GROUP_SUBIDS option in shipped login.defs
  * debian/NEWS: Mention new login behaviour regarding empty password field.
    Also set PREVENT_NO_AUTH in shipped login.defs accordingly.
  * debian/tests: Cherry-pick part of autopkgtest from Ubuntu.
    Thanks to Michael Vogt for the more extensive suite in Ubuntu
  * debian/login.defs: Set default subuid and subgid ranges

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 22 Jan 2022 21:03:44 +0100

shadow (1:4.8.1-2ubuntu2) jammy; urgency=medium

  [ Michael Vogt ]
  * debian/patches/1010_extrausers.patch:
    Add automatic detection of "extrausers" for usermod -G
    (LP: #1959375)

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Mon, 14 Mar 2022 11:59:13 +0300

shadow (1:4.8.1-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1951161). Remaining changes:
    - debian/login.defs:
      + Update documentation of USERGROUPS_ENAB: with pam_umask, the UPG
        handling does not only apply to "former (pre-PAM) uses".

