=== debian/control ===
Source: shadow
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>,
           Serge Hallyn <serge@hallyn.com>
Section: admin
Priority: required
Build-Depends: debhelper-compat (= 13),
               gettext,
               libcrypt-dev,
               libpam0g-dev,
               quilt,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               libxml2-utils,
               libselinux1-dev [linux-any],
               libsemanage-dev [linux-any],
               itstool,
               bison,
               libaudit-dev [linux-any]
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
Vcs-Browser: https://salsa.debian.org/debian/shadow
Homepage: https://github.com/shadow-maint/shadow
Rules-Requires-Root: binary-targets

Package: passwd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpam-modules
Recommends: sensible-utils
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Multi-Arch: foreign
Essential: yes
Pre-Depends: ${shlibs:Depends},
             ${misc:Depends},
             libpam-runtime,
             libpam-modules
Breaks: hurd (<< 20140206~) [hurd-any],
        util-linux (<< 2.32-0.2~)
Conflicts: python-4suite (<< 0.99cvs20060405-1)
Replaces: hurd (<< 20140206~) [hurd-any]
Description: system login tools
 This package provides some required infrastructure for logins and for
 changing effective user or group IDs, including:
  * login, the program that invokes a user shell on a virtual terminal;
  * nologin, a dummy shell for disabled user accounts;

Package: uidmap
Architecture: any
Multi-Arch: foreign
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: programs to help use subuids
 These programs help unprivileged users to create uid and gid mappings in
 user namespaces.

Package: libsubid4
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: subordinate id handling library -- shared library
 The library provides an interface for querying, granding and ungranting
 subordinate user and group ids.

Package: libsubid-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, libsubid4 (= ${binary:Version})
Description: subordinate id handling library -- shared library
 The library provides an interface for querying, granding and ungranting
 subordinate user and group ids.
 .
 This package contains the C header files that are
 needed for applications to use the libsubid4 library.
