=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
   https://github.com/shadow-maint/shadow/releases \
   (?:.*?/)?shadow-(\d[\d.]*)\.tar\.xz debian uupdate
