## shadow 4.12.3+dfsg1

=== debian/changelog ===
shadow (1:4.12.3+dfsg1-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix regression in expiration date handling
    (Closes: #1021697)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 22 Oct 2022 20:23:10 +0200

shadow (1:4.12.3+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream release (Closes: #1004242, #1006848)
  * Refresh patches
  * debian/patches: Reorder patches in series to make it look sane
  * Fix Lintian elevated-privileges tag rename

  [ Johannes Schauer Marin Rodrigues ]
  * debian/shadowconfig: Support DPKG_ROOT without using chroot()
    (Closes:  #1007758)
  * useradd: cherry-pick patch from upstream to avoid creating several GB worth
    of sparse lastlog and faillog files for users with high uid values
    (Closes: #1019245)

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 04 Oct 2022 22:09:04 +0200
