=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: shadow
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>,
            Serge Hallyn <serge@hallyn.com>
 Section: admin
@@ -19,7 +18,7 @@
                itstool,
                bison,
                libaudit-dev [linux-any]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
 Vcs-Browser: https://salsa.debian.org/debian/shadow
 Homepage: https://github.com/shadow-maint/shadow
