## shadow 4.13%2Bdfsg1

=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root superficial

Tests: numeric-username
Restrictions: needs-root, allow-stderr

Tests: extrausers-etc-readonly
Restrictions: needs-root, allow-stderr, breaks-testbed
Depends: passwd, libnss-extrausers, augeas-tools
