## shadow 4.13+dfsg1

=== debian/changelog ===
shadow (1:4.13+dfsg1-4ubuntu3) noble; urgency=medium

  * Fix ftbfs with -Werror=implicit-function-declaration.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Apr 2024 09:01:02 +0200

shadow (1:4.13+dfsg1-4ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:19 +0200

shadow (1:4.13+dfsg1-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/login.defs: Enable private home directories by default
    - debian/login.defs: Update documentation of USERGROUPS_ENAB/UMASK
      + USERGROUPS_ENAB: with pam_umask, the UPG handling does not only apply
        to "former (pre-PAM) uses".
      + UMASK: Explain that USERGROUPS_ENAB will modify this default for UPGs.
    - debian/{source_shadow.py,login.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
    - d/p/1015_add_zsys_support.patch: zsys to handle home dir if available
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
      + disallow purely numeric usernames
    - d/t/smoke: Extend for extrausers support

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:30:23 +0100

shadow (1:4.13+dfsg1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move login and shadowconfig to /usr. (Closes: #1059915)

 -- Serge Hallyn <serge@hallyn.com>  Sun, 04 Feb 2024 20:28:27 +0000

shadow (1:4.13+dfsg1-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/login.defs: Enable private home directories by default
    - debian/login.defs: Update documentation of USERGROUPS_ENAB/UMASK
      + USERGROUPS_ENAB: with pam_umask, the UPG handling does not only apply
        to "former (pre-PAM) uses".
      + UMASK: Explain that USERGROUPS_ENAB will modify this default for UPGs.
    - debian/{source_shadow.py,login.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
    - d/p/1015_add_zsys_support.patch: zsys to handle home dir if available
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
      + disallow purely numeric usernames
    - d/t/smoke: Extend for extrausers support

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 05 Dec 2023 11:36:01 +0100

shadow (1:4.13+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Remove myself from uploaders

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 15 Oct 2023 19:10:52 +0200

shadow (1:4.13+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/gitlab-ci.yml: Use sudo to fix reprotest test
  * debian/login.pam: Drop reference to Debian Etch (Closes: #1040064)
  * debian/NEWS: Fix false claim about PREVENT_NO_AUTH affecting authentication.
    Also drop setting PREVENT_NO_AUTH in shipped login.defs. (Closes: #1041547)
  * Cherry-pick upstream patch to fix gpasswd passwd leak
    (CVE-2023-4641) (Closes: #1051062)
  * Cherry-pick upstream patch to fix chfn vulnerability allowing injection of
    control characters into some /etc/passwd fields.
    (CVE-2023-29383) (Closes: #1034482)

  [ Gioele Barabucci ]
  * Support <nodoc> build profile
    `xsltproc`, `docbook` and all other XML-related packages are not needed
    when the `<nodoc>` build profile is active, as long as `./configure` is
    called with `--disable-man`. (Closes: #1051827)


 -- Balint Reczey <balint@balintreczey.hu>  Tue, 26 Sep 2023 22:01:52 +0200

shadow (1:4.13+dfsg1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/login.defs: Enable private home directories by default
    - debian/login.defs: Update documentation of USERGROUPS_ENAB/UMASK
      + USERGROUPS_ENAB: with pam_umask, the UPG handling does not only apply
        to "former (pre-PAM) uses".
      + UMASK: Explain that USERGROUPS_ENAB will modify this default for UPGs.
    - debian/{source_shadow.py,login.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
    - d/p/1015_add_zsys_support.patch: zsys to handle home dir if available
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
      + disallow purely numeric usernames
    - d/t/smoke: Extend for extrausers support
  * Dropped changes (not needed anymore):
    - d/passwd.maintscript: cleanup /etc/init/passwd.conf 1:4.2-3.2ubuntu4~
  * Refresh patches:
    - d/p/1010_extrausers.patch
    - d/p/1011_extrausers_toggle.patch
    - d/p/1015_add_zsys_support.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 23 Nov 2022 11:55:02 +0100


