=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,11 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-
-# TODO test if this can be dropped:
-# Specify where dh_install will find the files that it needs to move:
-DEB_DH_INSTALL_SOURCEDIR=debian/tmp
-# Specify the destination of shadow's "make install"
-# (This is only needed on The Hurd, where only one package is built. On
-# the other arch, DEB_DESTDIR already points to debian/tmp)
-DEB_DESTDIR=$(CURDIR)/debian/tmp
-
 # Adds extra options when calling the configure script:
-DEB_CONFIGURE_EXTRA_FLAGS := --disable-shared \
-	--without-libcrack \
+DEB_CONFIGURE_EXTRA_FLAGS := --without-libcrack \
 	--mandir=/usr/share/man \
 	--with-libpam \
+	--with-yescrypt \
 	--enable-shadowgrp \
 	--enable-man \
 	--disable-account-tools-setuid \
@@ -29,6 +20,10 @@
 	--without-su \
 	--without-tcb \
 	 SHELL=/bin/sh
+
+ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-man
+endif
 
 # Set the default editor for vipw/vigr
 CFLAGS += -DDEFAULT_EDITOR="\"sensible-editor\""
@@ -47,7 +42,7 @@
 	dh_install -a
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	# /bin/login is provided by the hurd package.
-	rm -f debian/login/bin/login
+	rm -f debian/login/usr/bin/login
 endif
 
 override_dh_installpam:
