=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root superficial

Tests: numeric-username
Restrictions: needs-root, allow-stderr
