## shadow 4.14%2Bdfsg1

=== debian/changelog ===
shadow (1:4.14+dfsg1-0deepin4) unstable; urgency=medium

  * fix: Keep the username directory permission at 750. (pms: 282975).

 -- liujianqiang <liujianqiang@uniontech.com>  Wed, 11 Dec 2024 11:28:47 +0800

shadow (1:4.14+dfsg1-0deepin3) unstable; urgency=medium

  * Use --enable-logind=yes --enable-lastlog configure flag
  * Build-Depends add libltdl-dev pkgconf libsystemd-dev

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 28 May 2024 16:29:00 +0800

shadow (1:4.14+dfsg1-0deepin2) unstable; urgency=medium

  * Use --without-libbsd configure flag

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 27 May 2024 15:44:23 +0800

shadow (1:4.14+dfsg1-0deepin1) unstable; urgency=medium

  * New upstream version 4.14
  * Refresh patches

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 27 May 2024 14:10:18 +0800
