=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: shadow
 Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>,
-           Serge Hallyn <serge@hallyn.com>
+Uploaders: Serge Hallyn <serge@hallyn.com>
 Section: admin
 Priority: required
 Build-Depends: debhelper-compat (= 13),
@@ -9,15 +8,18 @@
                libcrypt-dev,
                libpam0g-dev,
                quilt,
-               xsltproc,
-               docbook-xsl,
-               docbook-xml,
-               libxml2-utils,
+               xsltproc <!nodoc>,
+               docbook-xsl <!nodoc>,
+               docbook-xml <!nodoc>,
+               libxml2-utils <!nodoc>,
                libselinux1-dev [linux-any],
                libsemanage-dev [linux-any],
-               itstool,
+               itstool <!nodoc>,
                bison,
-               libaudit-dev [linux-any]
+               libaudit-dev [linux-any],
+	       libltdl-dev,
+               pkgconf,
+               libsystemd-dev
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
 Vcs-Browser: https://salsa.debian.org/debian/shadow
@@ -45,8 +47,7 @@
              ${misc:Depends},
              libpam-runtime,
              libpam-modules
-Breaks: hurd (<< 20140206~) [hurd-any],
-        util-linux (<< 2.32-0.2~)
+Breaks: hurd (<< 20140206~) [hurd-any]
 Conflicts: python-4suite (<< 0.99cvs20060405-1)
 Replaces: hurd (<< 20140206~) [hurd-any]
 Description: system login tools
@@ -80,6 +81,7 @@
 Section: libdevel
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libsubid4 (= ${binary:Version})
 Description: subordinate id handling library -- shared library
  The library provides an interface for querying, granding and ungranting
