=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,11 @@
 	--with-group-name-max-length=32 \
 	--without-acl \
 	--without-attr \
+	--without-libbsd \
 	--without-su \
 	--without-tcb \
+	--enable-logind=yes \
+	--enable-lastlog \
 	 SHELL=/bin/sh
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
@@ -42,7 +45,7 @@
 	dh_install -a
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	# /bin/login is provided by the hurd package.
-	rm -f debian/login/usr/bin/login
+	rm -f debian/login/bin/login
 endif
 
 override_dh_installpam:
